> ## Documentation Index
> Fetch the complete documentation index at: https://developer.utgl.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Accounts

> Get a collection of Accounts based on provided search criteria.



## OpenAPI

````yaml /issuing/api-reference/openapi.yaml get /accounts
openapi: 3.1.0
info:
  title: API Reference
  version: '1.0'
servers:
  - url: https://access.utgl.io/v1
  - url: https://sandbox.access.utgl.io/v1
security:
  - Basic: []
  - Bearer: []
tags:
  - name: Accounts
  - name: Transactions
  - name: Card Accounts
  - name: Card Products
  - name: Cards
  - name: Digital Custody
  - name: Fee
  - name: Payout
paths:
  /accounts:
    get:
      tags:
        - Accounts
      summary: Get Accounts
      description: Get a collection of Accounts based on provided search criteria.
      operationId: listAccounts
      parameters:
        - name: accountId
          in: query
          description: Search results by account id(s)
          required: false
          schema:
            type: string
        - name: name
          in: query
          description: Search results by account name
          required: false
          schema:
            type: string
        - name: search
          in: query
          description: Search results by account name and account number
          required: false
          schema:
            type: string
        - $ref: '#/components/parameters/Xid'
        - $ref: '#/components/parameters/PageSize'
        - $ref: '#/components/parameters/PageToken'
      responses:
        '200':
          description: Retrieve a paginated collection of accounts
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/PaginatedResult'
                  - type: object
                    properties:
                      accounts:
                        type: array
                        items:
                          $ref: '#/components/schemas/Account'
components:
  parameters:
    Xid:
      name: xid
      in: query
      description: Filter by one or more xid
      schema:
        type: array
        items:
          type: string
    PageSize:
      name: pageSize
      in: query
      description: >
        Limits the number returned items

        Some collections have a upper bound that will disregard this value.

        In case the specified value is higher than the allowed limit, the
        collection limit will be used.

        If no page size is provided, the collection will determine the page size
        itself.
      schema:
        type: number
        minimum: 1
    PageToken:
      name: pageToken
      in: query
      schema:
        type: string
        example: aWVHZWV5OVgK
  schemas:
    PaginatedResult:
      type: object
      properties:
        prevPageToken:
          $ref: '#/components/schemas/PageToken'
        nextPageToken:
          $ref: '#/components/schemas/PageToken'
    Account:
      type: object
      description: An account
      properties:
        id:
          type: string
          description: Account id
        xid:
          type: string
          description: Account external id
        xmetadata:
          type: object
          description: Account metadata
          additionalProperties: {}
        name:
          type: string
          description: Account name
        accountNumber:
          type: string
          description: Account Number
        description:
          type: string
          description: Account description
    PageToken:
      type: string
      description: Opaque page token to retrieve next or previous set of results.
  securitySchemes:
    Basic:
      type: http
      scheme: basic
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````